﻿using System.Collections.Generic;
using PAT.Common;
using PAT.Common.Classes.Expressions.ExpressionClass;
using PAT.Common.Classes.LTS;

namespace PAT.SCSP.LTS{
    public sealed class Definition
    {
        public string Name;
        public ParsingException DefinitionToken;
        public Process Process;
        
        public Definition(string name, Process process)
        {
            Name = name;
            Process = process;           
        }

        public override string ToString()
        {
            return Process.ToString();
        }

        public string GetFullDefinition()
        {
            return Name + "=\r\n" + Process + ";";
        }
    }
}